gnutls_pcert_import_x509_list(3)

NAME
gnutls_pcert_import_x509_list - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_import_x509_list(gnutls_pcert_st * pcert_list, gnutls_x509_crt_t * crt, unsigned * ncrt, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert_list
    The structures to store the certificates; must not contain initialized gnutls_pcert_st structures.

gnutls_x509_crt_t * crt
    The certificates to be imported

unsigned * ncrt
    The number of certificates in crt ; will be updated if necessary

unsigned int flags
    zero or GNUTLS_X509_CRT_LIST_SORT

DESCRIPTION
This convenience function will import the given certificates to an already allocated set of gnutls_pcert_st structures. The structures must be deinitialized afterwards using gnutls_pcert_deinit(). pcert_list should contain space for at least ncrt elements. In the case GNUTLS_X509_CRT_LIST_SORT is specified and that function cannot sort the list, GNUTLS_E_CERTIFICATE_LIST_UNSORTED will be returned. Currently sorting can fail if the list size exceeds an internal constraint (16).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/